/*
 Theme Name:   Understrap Child
 Theme URI:    https://understrap.com
 Description:  Understrap Child Theme
 Author:       the Understrap Contributors
 Author URI:   https://github.com/understrap/understrap-child/graphs/contributors
 Template:     understrap
 Version:      1.2.0
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  understrap-child
 Tags: one-column, custom-menu, featured-images, theme-options, translation-ready
 GitHub Theme URI: understrap/understrap-child
*/
:root {
    --azul: #081FFF;
    --naranja: #FB9F00;
    --blanco: #FFFFFF;
    --gris: #F4F4F4;
    /* --acento: transparent; */
    --sombra: 0px 13px 24px 0px rgba(0, 0, 0, 0.25);
    --typo-1: "Lexend", sans-serif;
}
/* TYPO  */
body{font-family: var(--typo-1) !important;font-weight: 300 !important;}
.typo--1 {font-family: var(--typo-1);}
h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6 {font-weight: 700 !important;}
a {text-decoration: none !important;}
.mini {font-size: .65rem;}
/* COLOR  */
.aclarar {filter: invert(10) brightness(100);}
.oscurecer {filter: brightness(0) invert(0);}
.azul {color: var(--azul) !important;}
.naranja {color: var(--naranja) !important;}
.blanco {color: var(--blanco) !important;}
.gris {color: var(--gris) !important;}
.bg-azul {background-color: var(--azul) !important;}
.bg-naranja {background-color: var(--naranja) !important;}
.bg-blanco {background-color: var(--blanco) !important;}
.bg-gris {background-color: var(--gris) !important;}
/* ESTRUCTURA  */
.grilla-1 {display: grid;grid-template-columns: repeat(1, 1fr);}
.grilla-2 {display: grid;grid-template-columns: repeat(2, 1fr);}
.grilla-3 {display: grid;grid-template-columns: repeat(3, 1fr);}
.grilla-4 {display: grid;grid-template-columns: repeat(4, 1fr);}
.grilla-5 {display: grid;grid-template-columns: repeat(5, 1fr);}
.grilla-6 {display: grid;grid-template-columns: repeat(6, 1fr);}
.grilla-auto-200 {display: grid;grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));}

.flex-center {align-items: center;justify-content: center;display: flex;}
/* ESPACIOS  */
.space-1 {height: 1vh;}
.space-2 {height: 2vh;}
.space-3 {height: 3vh;}
.space-4 {height: 4vh;}
.space-5 {height: 5vh;}
.space-10 {height: 10vh;}
.space-15 {height: 15vh;}
.space-20 {height: 20vh;}
.space-25 {height: 25vh;}
.space-50 {height: 50vh;}

.justificar {text-align: justify;}
.min-vh-50 {min-height: 50vh;}
/* HEADER  */
.logo .brand--i4 {
    width: 55px;
  }
  .btn--i4 {
    border: 1px solid var(--naranja);
    border: 2px solid transparent;
    border-radius: var(--bs-border-radius-pill);
    display: block;
    padding: .5em 1.5em;
    color: var(--naranja);
    transition: all .3s ease;
    /* font-weight: 600; */
    letter-spacing: 1px;
    background-image: linear-gradient(90deg,var(--azul),var(--azul)),linear-gradient(160deg,var(--naranja),hsla(0,0%,100%,0) 40%,hsla(0,0%,100%,0) 60%,var(--naranja));
    background-clip: padding-box,border-box;
    background-origin: border-box;
  }
	#wrapper-navbar .to--gray {
		background-color: rgba(8, 30, 255, .5) !important;
		/* background-color: rgba(0, 0, 0, 0.25) !important; */
	}
	.bg--dots {
		/* background-color:var(--gris); */
		background-image: url(/wp-content/themes/understrap-child-main/assets/pattern_2.webp);
		background-repeat: repeat;
		background-size: auto;
	}
/* BUTTONS  */
.btn--i4:hover {
    transition: all .3s ease;
    background-image:none !important; 
    background-color: var(--naranja) !important;
    color: var(--blanco) !important;
  }

.linea--2--tonos {
    background: linear-gradient(90deg, rgba(251,159,0,1) 35%,rgba(255,255,255,1) 35%); 
    width: 100%;
    display: block;
    height: 5px;
}
.box--area ol {
    border: 1px solid var(--bs-border-color);
    padding: 2em;
    height: fit-content;
    border-bottom-left-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);
    box-shadow: var(--sombra);
    background: var(--blanco);
  }
  .area li {
    line-height: 1em;
  }
  .area li:not(:last-child) {
    padding-bottom: 1em;
  }
  .box--area h6 {
    background-color: var(--azul);
    color: var(--blanco);
    margin-bottom: 0;
    padding: .5em;
    line-height: 1em;
    border-top-left-radius: var(--bs-border-radius);
    border-top-right-radius: var(--bs-border-radius);
  }
  .area li a {
    color: var(--bs-gray-600);
    transition: all .3s ease;
  }
  .area li a:hover {
    color: var(--naranja);
    transition: all .3s ease;
  }
  .area li::marker {
    font-size: .75em;
    color: var(--naranja);
  }
  .area li a.nuevo::after {
    content: 'NUEVO';
    font-size: .5rem;
    color: var(--azul);
    border: 1px solid var(--azul);
    border-radius: var(--bs-border-radius-pill);
    padding: 0 .75em;
    margin-left: .35em;
    display: inline-block;
  }
  .bg-azul-lines {
        background-color: var(--azul);
        background-image: url(/wp-content/themes/understrap-child-main/assets/bg-lines.svg);
        background-repeat: no-repeat;
        background-size: contain;
        background-attachment: fixed;
        background-position: 100% 10vh;
  }
  #main-nav {
    background-color: rgba(255, 255, 255, 0) !important;
    backdrop-filter: blur(0.5rem);
  }
/* BODY  */
.start--section {
    padding: 20vh 0 10vh 0 !important;
  }
  .overlay::after {
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0);
    display: block;
    position: absolute;
    left: 0;
    top: 0;
  }
/* FOOTER  */
.float-button {
  text-decoration: none;
  position: fixed;
  padding: 10px;
  padding-right: 15px;
  bottom: 30px;
  right: 30px;
  color: #fff;
  background-color:#25D366;
  border-radius: 25px 30px 5px 25px;
  z-index: 100;
  font-size: 17px;
  animation: whatsapp-animation 0.5s ease-in-out;
  box-shadow: 1px 2px 5px 2px rgba(30,30,30,0.3);
  transition:all 0.3s ease-out;
}

.float-button:hover {
   background-color: #128C7E;
    color: #fff;
}

.float-button i {
  font-size: 20px !important;
  padding-right: 5px;
  padding-left: 5px;
}

@keyframes whatsapp-animation {
  from {
      opacity: 0%;
  }

  to {
      opacity: 100%
  }
}

@media screen and (max-width: 545px) {
  .float-button span {
      display: none;
  }

  .float-button {
      bottom: 15px;
      right: 15px;
      width: 20px;
      border-radius: 20px 20px 5px 20px;
  }

  .float-button i {
      font-size: 22px !important;
      padding: 4px;
  }
}
  footer .box--area ol {
    border: none;
    padding: 0;
    height: auto;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    box-shadow: none;
    background: transparent;
    margin-bottom: 1.5em;
  }
  footer .area li:not(:last-child) {
    padding-bottom: .75em;
  }
  footer .area li {
    line-height: 1em;
    font-size: .75rem;
  }
  footer .area li a {
    color: var(--blanco);
  }
  footer .area li a:hover {
    color: var(--azul);
  }
  footer .box--area h6 {
    background-color: transparent;
    padding: 0 0 .75em 0;
    border-top-left-radius:0;
    border-top-right-radius:0;
    font-size: .85rem;
  }
  footer .rrss ul {
    display: flex;
    gap: 1em;
    align-items: center;
    justify-content: end;
  }
  footer .disclaimer {
    line-height: 1em;
    display: block;
    font-size: .65rem;
  }

  .space-50.bg-blanco {
    background-color: rgba(0,0,0,.35) !important;
  }
  .youtube {
    width: 100%;
    aspect-ratio: 16/9;
  }
/* HOME  */
.swiper.mySwiper-2 {
  width: 100%;
  height: 100%;
}

.mySwiper-2 .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
}

.mySwiper-2 .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.desktop #all .diplomado:nth-child(n+9) {
  display: none;
}
.grow-1 {
	transition: all .3s ease;
}
.grow-1:hover {
	transform: scale(1.1);
	transition: all .3s ease;
}
.btn--filter {
	border: 1px solid black;
	margin: .25em;
	padding: 4px 16px;
	border-radius: var(--bs-border-radius-pill);
	background-color: white;
}
.btn--filter.active {
	border: 1px solid var(--naranja);
	background-color: var(--naranja);
	color: white;
}
	.destacado {
		position: relative;
		/* transition: all .3s ease; */
		overflow: hidden;
		/* box-shadow: var(--sombra); */
		border: 2px solid var(--blanco);


	}

	.box--titulo--destacado {
		border-top: 1px solid var(--naranja);
		height: 60px;
		transition: height .5s;
	}

	.destacado:hover .box--titulo--destacado {
		height: 230px;
	}
	.franja--titulo {
		min-height: 60px;
	}

	/* .overlay {
	position: absolute;
	left: 0;
	top: 0;
  content: '';
  width: 100%;
  height: 100%;
  background-color: orange;
} */
	.destacado:hover .img--fit--container {
		transform: scale(1.05);
		transform-origin: 50% 50%;
		transition: all .5s ease-in-out;
		filter: blur(4px);
	}

	.img--fit--container {
		object-fit: cover;
		width: 100%;
		height: 100%;
		transition: all .5s ease-in-out;
	}

	.player-wrapper {
		position: relative;
		margin: 0 auto 40px;
	}

	@media (min-width: 1200px) {
		.player-wrapper {
			max-width: 1200px;
		}
	}
/* CURSO DETALLE */ 
.all--objetivos p {
  margin-bottom: .5em;
}

.lecciones .card {
  margin-bottom: 1em;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.lecciones .card i {
  margin-right: 1em;
  border: 1px solid;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  text-align: center;
  line-height: 28px;
}


.heading-block {
  text-align: center;
  padding: 40px 0;
  font-family: sans-serif;
}

.heading-block h2 {
  font-family: inherit;
  margin: 0 0 15px;
  font-size: 25px;
}

@media (max-width: 767px) {
  .heading-block h2 {
    margin: 0 0 10px;
    font-size: 20px;
  }
}

.heading-block p {
  font-family: inherit;
  margin: 0 0 15px;
  font-size: 16px;
}

@media (max-width: 767px) {
  .heading-block p {
    margin: 0 0 10px;
    font-size: 14px;
  }
}

.player-wrapper {
  position: relative;
  margin: 0 auto 40px;
}

@media (min-width: 1200px) {
  .player-wrapper {
    max-width: 1200px;
  }
}

.player-wrapper h3 {
  position: absolute;
  left: 4%;
  top: 6%;
  z-index: 10;
  margin: 0;
  font-size: 16px;
  padding: 10px;
  border: 2px solid rgba(255, 255, 255, 0.8);
  color: #222;
  background-color: rgba(255, 255, 255, 0.5);
  font-family: sans-serif;
  letter-spacing: 1.5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
}

.form-separator {
  height: 1px;
  margin: 14px 0px;
  border: 1px solid var(--azul);
}

.form-separator p {
  color: var(--azul);
  width: 30px;
  margin: -9px auto;
  display: block;
  font-size: 14px;
  text-align: center;
  font-weight: 700;
  line-height: 1.14;
  background-color: #fff;
}

@media (max-width: 767px) {
  .player-wrapper h3 {
    left: 3%;
    top: 5%;
    font-size: 10px;
    padding: 5px;
    letter-spacing: 0;
    border-width: 1px;
  }
}
/* ACERCA DE */
#valores li:not(:last-child)::after {
  content: '●';
  padding-left: 1em;
}
/* FOOTER */
footer .area li a {
  color: var(--azul);
}
.site-footer .box--area h6 {
  color: var(--azul);
}
.area li a.nuevo::after {
  color: var(--naranja);
  border: 1px solid var(--naranja);
}
/* MOBILE SCOPES  */
.mobile #all .diplomado:nth-child(n+4) {
  display: none;
}
.mobile .lecciones .card i {
  margin-right: .5em;
  aspect-ratio: 1/1;
}
.mobile .bg-azul-lines {
  background-blend-mode: luminosity;
}
.mobile .float-button {
  width: 50px;
}